<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateHouseApplicanceCleanOrdersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        /*
         *
        'wechat_id', // 微信号id(open_id)
		'appliances', // 项目, 数组形式，多个数量则出现多次
    	'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
    	'status', // 订单状态
        'price' // 订单价格
         */
        Schema::create('house_appliance_clean_orders', function (Blueprint $table) {
            $table->increments('id');
            $table->timestamps();
            $table->string('wechat_id');
            $table->string('appliances');
            $table->string('contact');
            $table->string('address');
            $table->string('phone');
            $table->integer('status');
            $table->double('price');
            $table->string('photo');
            $table->unsignedInteger('comment_id');
            $table->timestamp("paid_at");
            $table->unsignedInteger('classify_id');
            $table->string('classify1');
            $table->string('classify2');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('house_appliance_clean_orders');
    }
}
